<!--
  - SPDX-FileCopyrightText: 2023 Nextcloud GmbH and Nextcloud contributors
  - SPDX-License-Identifier: AGPL-3.0-or-later
-->

<template>
	<WizardPage title="L'accès à vos contenus où que vous soyez"
		subtitle="Des applications pour ordinateurs ou smartphones faciles à utiliser sont disponibles pour toutes les plateformes majeures gratuitement !">
		<AppStoreBadge type="android" />
		<AppStoreBadge type="ios" />
		<Card :href="desktop"
			title="Application pour ordinateur ↗"
			subtitle="Téléchargez pour Windows, macOS et Linux." />
		<Card :href="syncClientsUrl"
			title="Agenda et contacts ↗"
			subtitle="Connectez votre agenda et vos contacts avec vos appareils." />
		<div :class="$style.help">
			<h3>
				Besoin d'aide pour connecter vos applications de bureau à votre Framaspace&nbsp;?
			</h3>
			<ul>
				<li>
					<a href="https://docs.framasoft.org/fr/nextcloud/synchro_clients.html"
						target="_blank">
						Synchroniser les fichiers entre votre Frama.space et
						votre ordinateur ↗
					</a>
				</li>
				<li>
					<a href="https://docs.framasoft.org/fr/agenda/"
						target="_blank">
						Connecter votre calendrier ou vos contacts ↗
					</a>
				</li>
			</ul>
		</div>
	</WizardPage>
</template>

<script setup lang="ts">
import { loadState } from '@nextcloud/initial-state'
import { generateUrl } from '@nextcloud/router'

import AppStoreBadge from '../AppStoreBadge.vue'
import Card from '../Card.vue'
import WizardPage from '../WizardPage.vue'

const desktop = loadState<string>('firstrunwizard_fspace', 'desktop')
const syncClientsUrl = generateUrl('settings/user/sync-clients')
</script>
<style module>
.help h3 {
	font-weight: 700;
	font-size: 16px;
}

.help ul li a {
	text-decoration: underline;
}

</style>
